<?php
require_once(getabspath("classes/cipherer.php"));
$tdatainf_ingresos_vs_egresos = array();
	$tdatainf_ingresos_vs_egresos[".NumberOfChars"] = 80; 
	$tdatainf_ingresos_vs_egresos[".ShortName"] = "inf_ingresos_vs_egresos";
	$tdatainf_ingresos_vs_egresos[".OwnerID"] = "";
	$tdatainf_ingresos_vs_egresos[".OriginalTable"] = "ciudad";

//	field labels
$fieldLabelsinf_ingresos_vs_egresos = array();
if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsinf_ingresos_vs_egresos["Spanish"] = array();
	$fieldToolTipsinf_ingresos_vs_egresos["Spanish"] = array();
	$fieldLabelsinf_ingresos_vs_egresos["Spanish"]["idciudad"] = "Idciudad";
	$fieldToolTipsinf_ingresos_vs_egresos["Spanish"]["idciudad"] = "";
	$fieldLabelsinf_ingresos_vs_egresos["Spanish"]["nombre"] = "Nombre";
	$fieldToolTipsinf_ingresos_vs_egresos["Spanish"]["nombre"] = "";
	if (count($fieldToolTipsinf_ingresos_vs_egresos["Spanish"]))
		$tdatainf_ingresos_vs_egresos[".isUseToolTips"] = true;
}
	
	
	$tdatainf_ingresos_vs_egresos[".NCSearch"] = true;



$tdatainf_ingresos_vs_egresos[".shortTableName"] = "inf_ingresos_vs_egresos";
$tdatainf_ingresos_vs_egresos[".nSecOptions"] = 0;
$tdatainf_ingresos_vs_egresos[".recsPerRowList"] = 1;
$tdatainf_ingresos_vs_egresos[".mainTableOwnerID"] = "";
$tdatainf_ingresos_vs_egresos[".moveNext"] = 1;
$tdatainf_ingresos_vs_egresos[".nType"] = 1;

$tdatainf_ingresos_vs_egresos[".strOriginalTableName"] = "ciudad";




$tdatainf_ingresos_vs_egresos[".showAddInPopup"] = false;

$tdatainf_ingresos_vs_egresos[".showEditInPopup"] = false;

$tdatainf_ingresos_vs_egresos[".showViewInPopup"] = false;

$tdatainf_ingresos_vs_egresos[".fieldsForRegister"] = array();
	
if (!isMobile())
	$tdatainf_ingresos_vs_egresos[".listAjax"] = true;
else 
	$tdatainf_ingresos_vs_egresos[".listAjax"] = false;

	$tdatainf_ingresos_vs_egresos[".audit"] = false;

	$tdatainf_ingresos_vs_egresos[".locking"] = false;





$tdatainf_ingresos_vs_egresos[".showSimpleSearchOptions"] = false;

$tdatainf_ingresos_vs_egresos[".showSearchPanel"] = true;

if (isMobile())
	$tdatainf_ingresos_vs_egresos[".isUseAjaxSuggest"] = false;
else 
	$tdatainf_ingresos_vs_egresos[".isUseAjaxSuggest"] = true;

$tdatainf_ingresos_vs_egresos[".rowHighlite"] = true;

// button handlers file names

$tdatainf_ingresos_vs_egresos[".addPageEvents"] = false;

// use timepicker for search panel
$tdatainf_ingresos_vs_egresos[".isUseTimeForSearch"] = false;




$tdatainf_ingresos_vs_egresos[".allSearchFields"] = array();


$tdatainf_ingresos_vs_egresos[".googleLikeFields"][] = "idciudad";
$tdatainf_ingresos_vs_egresos[".googleLikeFields"][] = "nombre";



$tdatainf_ingresos_vs_egresos[".isTableType"] = "list";

	



// Access doesn't support subqueries from the same table as main



$tdatainf_ingresos_vs_egresos[".pageSize"] = 20;

$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatainf_ingresos_vs_egresos[".strOrderBy"] = $tstrOrderBy;

$tdatainf_ingresos_vs_egresos[".orderindexes"] = array();

$tdatainf_ingresos_vs_egresos[".sqlHead"] = "SELECT idciudad,   nombre";
$tdatainf_ingresos_vs_egresos[".sqlFrom"] = "FROM ciudad";
$tdatainf_ingresos_vs_egresos[".sqlWhereExpr"] = "";
$tdatainf_ingresos_vs_egresos[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatainf_ingresos_vs_egresos[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatainf_ingresos_vs_egresos[".arrGroupsPerPage"] = $arrGPP;

$tableKeysinf_ingresos_vs_egresos = array();
$tableKeysinf_ingresos_vs_egresos[] = "idciudad";
$tdatainf_ingresos_vs_egresos[".Keys"] = $tableKeysinf_ingresos_vs_egresos;

$tdatainf_ingresos_vs_egresos[".listFields"] = array();

$tdatainf_ingresos_vs_egresos[".viewFields"] = array();

$tdatainf_ingresos_vs_egresos[".addFields"] = array();

$tdatainf_ingresos_vs_egresos[".inlineAddFields"] = array();

$tdatainf_ingresos_vs_egresos[".editFields"] = array();

$tdatainf_ingresos_vs_egresos[".inlineEditFields"] = array();

$tdatainf_ingresos_vs_egresos[".exportFields"] = array();

$tdatainf_ingresos_vs_egresos[".printFields"] = array();

//	idciudad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "idciudad";
	$fdata["GoodName"] = "idciudad";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Idciudad"; 
	$fdata["FieldType"] = 3;
	
		$fdata["AutoInc"] = true;
	
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "idciudad"; 
		$fdata["FullName"] = "idciudad";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			
		
//	Begin validation
	$edata["validateAs"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_ingresos_vs_egresos["idciudad"] = $fdata;
//	nombre
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "nombre";
	$fdata["GoodName"] = "nombre";
	$fdata["ownerTable"] = "ciudad";
	$fdata["Label"] = "Nombre"; 
	$fdata["FieldType"] = 200;
	
		
		
		
		
		
		
		
		
		
		
		
		$fdata["strField"] = "nombre"; 
		$fdata["FullName"] = "nombre";
	
		
		
				
				$fdata["UploadFolder"] = "files";
		
//  Begin View Formats
	$fdata["ViewFormats"] = array();
	
	$vdata = array("ViewFormat" => "");
	
		
		
		
			
		
		
		
		
		
		
		$vdata["NeedEncode"] = true;
	
	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats 	
	$fdata["EditFormats"] = array();
	
	$edata = array("EditFormat" => "Text field");
	
		
		
	
//	Begin Lookup settings
	//	End Lookup Settings

		$edata["IsRequired"] = true; 
	
		
		
		
			$edata["acceptFileTypes"] = ".+$";
	
		$edata["maxNumberOfFiles"] = 1;
	
		
		
		
		
		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=45";
	
		
//	Begin validation
	$edata["validateAs"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
	
			//	End validation
	
		
				
		$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats
	
		$fdata["isSeparate"] = false;
	
		
		
	$tdatainf_ingresos_vs_egresos["nombre"] = $fdata;

	
$tables_data["inf_ingresos_vs_egresos"]=&$tdatainf_ingresos_vs_egresos;
$field_labels["inf_ingresos_vs_egresos"] = &$fieldLabelsinf_ingresos_vs_egresos;
$fieldToolTips["inf_ingresos_vs_egresos"] = &$fieldToolTipsinf_ingresos_vs_egresos;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["inf_ingresos_vs_egresos"] = array();
	
// tables which are master tables for current table (detail)
$masterTablesData["inf_ingresos_vs_egresos"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










function createSqlQuery_inf_ingresos_vs_egresos()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "idciudad,   nombre";
$proto0["m_strFrom"] = "FROM ciudad";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
$proto0["m_strTail"] = "";
$proto0["cipherer"] = null;
$proto1=array();
$proto1["m_sql"] = "";
$proto1["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto1["m_column"]=$obj;
$proto1["m_contained"] = array();
$proto1["m_strCase"] = "";
$proto1["m_havingmode"] = "0";
$proto1["m_inBrackets"] = "0";
$proto1["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto1);

$proto0["m_where"] = $obj;
$proto3=array();
$proto3["m_sql"] = "";
$proto3["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto3["m_column"]=$obj;
$proto3["m_contained"] = array();
$proto3["m_strCase"] = "";
$proto3["m_havingmode"] = "0";
$proto3["m_inBrackets"] = "0";
$proto3["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto3);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto5=array();
			$obj = new SQLField(array(
	"m_strName" => "idciudad",
	"m_strTable" => "ciudad"
));

$proto5["m_expr"]=$obj;
$proto5["m_alias"] = "";
$obj = new SQLFieldListItem($proto5);

$proto0["m_fieldlist"][]=$obj;
						$proto7=array();
			$obj = new SQLField(array(
	"m_strName" => "nombre",
	"m_strTable" => "ciudad"
));

$proto7["m_expr"]=$obj;
$proto7["m_alias"] = "";
$obj = new SQLFieldListItem($proto7);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto9=array();
$proto9["m_link"] = "SQLL_MAIN";
			$proto10=array();
$proto10["m_strName"] = "ciudad";
$proto10["m_columns"] = array();
$proto10["m_columns"][] = "idciudad";
$proto10["m_columns"][] = "nombre";
$obj = new SQLTable($proto10);

$proto9["m_table"] = $obj;
$proto9["m_alias"] = "";
$proto11=array();
$proto11["m_sql"] = "";
$proto11["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto11["m_column"]=$obj;
$proto11["m_contained"] = array();
$proto11["m_strCase"] = "";
$proto11["m_havingmode"] = "0";
$proto11["m_inBrackets"] = "0";
$proto11["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto11);

$proto9["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto9);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_inf_ingresos_vs_egresos = createSqlQuery_inf_ingresos_vs_egresos();
		$tdatainf_ingresos_vs_egresos[".sqlquery"] = $queryData_inf_ingresos_vs_egresos;
	
if(isset($tdatainf_ingresos_vs_egresos["field2"])){
	$tdatainf_ingresos_vs_egresos["field2"]["LookupTable"] = "carscars_view";
	$tdatainf_ingresos_vs_egresos["field2"]["LookupOrderBy"] = "name";
	$tdatainf_ingresos_vs_egresos["field2"]["LookupType"] = 4;
	$tdatainf_ingresos_vs_egresos["field2"]["LinkField"] = "email";
	$tdatainf_ingresos_vs_egresos["field2"]["DisplayField"] = "name";
	$tdatainf_ingresos_vs_egresos[".hasCustomViewField"] = true;
}

include_once(getabspath("include/inf_ingresos_vs_egresos_events.php"));
$tableEvents["inf_ingresos_vs_egresos"] = new eventclass_inf_ingresos_vs_egresos;
$tdatainf_ingresos_vs_egresos[".hasEvents"] = true;

$cipherer = new RunnerCipherer("inf_ingresos_vs_egresos");

?>